# import to pclinuxos by Daniel Meiß-Wilhelm on 12.16.2013
# PCLinuxOS Copyright by Bill Reynolds (Texstar.)
######
%define name qmplay2
%define oname QMPlay2
%define release %mkrel 2
%define version 17.02.12
Summary: Video player
Name: %{name}
Version: %{version}
Release: %{release}
Source: http://garr.dl.sourceforge.net/project/zaps166/QMPlay2/QMPlay2-src-%{version}.tar.xz
Source1: %{oname}.desktop
URL: http://zaps166.sourceforge.net/?app=QMPlay2
License: LGPLv3
Group: Video
#--------------------------------------------------------------
BuildRequires: desktop-file-utils
BuildRequires: imagemagick
BuildRequires: %{_lib}alsa2-devel 
BuildRequires: %{_lib}ass-devel 
BuildRequires: %{_lib}cddb-devel 
BuildRequires: %{_lib}cdio-devel
BuildRequires: %{_lib}ffmpeg-devel 
BuildRequires: %{_lib}pulseaudio-devel
BuildRequires: %{_lib}qt5core-devel
BuildRequires: %{_lib}qt5dbus-devel
BuildRequires: %{_lib}qt5gui-devel
BuildRequires: %{_lib}qt5multimedia-devel
BuildRequires: %{_lib}qt5multimediawidgets-devel
BuildRequires: %{_lib}qt5network-devel
BuildRequires: %{_lib}qt5opengl-devel
BuildRequires: %{_lib}qt5widgets-devel
BuildRequires: %{_lib}taglib-devel
BuildRequires: %{_lib}va-devel 
BuildRequires: %{_lib}vdpau-devel
BuildRequires: %{_lib}x11-devel
BuildRequires: mesa-devel
BuildRequires: qtbase5-common-devel
BuildRequires: %{_lib}qt5help-devel
BuildRequires: %{_lib}qt5x11extras-devel
BuildConflicts: %{_lib}qt4-devel

#Requires: qttools5
Requires: %{_lib}qt5core5
Requires: %{_lib}qt5dbus5
Requires: %{_lib}qt5gui5
Requires: %{_lib}qt5network5
Requires: %{_lib}qt5opengl5
Requires: %{_lib}qt5widgets5

#-----------------------------------------------------------
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root

%description
QMPlay2 is a video player, it can plays all formats
and stream supported by ffmpeg and libmodplug
(including J2B). It has integrated Youtube and Wrzuta browser.

%description -l de
QMPlay2 ist ein Videoplayer und spielt alle Formate (Audio/Video)
ab.
Streams werden unterstützt von FFMPEG und LIBMODPLUG
(inklusive J2B). Integriert ist YouTube und Wrzuta browser.


%prep
%setup -q -n %{oname}-src-%{version}
%apply_patches

perl -pi -e 's|"/"|"/" |' src/modules/Inputs/Inputs.cpp

%build
NOTERM=1 SYSTEM_BUILD=1 ./compile_unix `echo "%{?_smp_mflags}" | grep -o '[0-9]*'`

%install
rm -rf $RPM_BUILD_ROOT
# gen rpmtree
mkdir -p %{buildroot}{%{_bindir},%{_libdir}}
# install
mv app/lib/libqmplay2.* %{buildroot}%{_libdir}
install -m755 app/bin/%{oname} %{buildroot}%{_bindir}/%{oname}
mv app/share %{buildroot}/usr
#
# modules scam
mv app/lib/%name %{buildroot}%{_libdir}

pushd %{buildroot}%{_datadir}/qmplay2
ln -s %{_libdir}/%name/modules modules
popd

# icons
# we convert and install the icons properly
rm -f %{buildroot}%{_iconsdir}/*.png
#

#desktop-file-validate %{buildroot}%{_datadir}/applications/%{oname}.desktop
rm -rf %{buildroot}%{_datadir}/applications/%{oname}.desktop
rm -fr %{buildroot}%{_datadir}/qmplay2/noautoupdates

desktop-file-install \
 --vendor="" \
 --remove-mime-type="video/mp2t" \
 --remove-mime-type="mp2t" \
 --remove-mime-type="video" \
 --dir %{buildroot}%{_datadir}/applications \
 %{buildroot}%{_datadir}/applications/%{oname}_enqueue.desktop

install -m 0644 %SOURCE1 %{buildroot}/%{_datadir}/applications/%{oname}.desktop

#remove uneeded developmentn library
#rm -f %{buildroot}/%{_libdir}/libqmplay2.so

 
%files
%defattr(-,root,root)
%doc ChangeLog LICENSE
%{_bindir}/%{oname}
%{_iconsdir}/hicolor/*/apps/QMPlay2.png
%{_datadir}/applications/*.desktop
%{_libdir}/libqmplay2.so
%{_libdir}/%name/modules
%{_mandir}/man1/%{oname}*

/usr/share/apps/solid/actions/QMPlay2-opencda.desktop
%{_datadir}/qmplay2/

%clean
rm -rf $RPM_BUILD_ROOT
#rm -rf $RPM_BUILD_DIR/%{oname}-src-%{version}


#_________________ changelog ____________________________________

%changelog
* Sun Apr 02 2017 adrianomorselli <adrianomorselli> 17.02.12-2uplos2017
- update with new ffmpeg
